import {App} from 'vue'
import Engine, {Config} from './engine'
import {version} from '../package.json'
import { SchemaRenderer } from './components/renderer'

export function createEngine(options: Config): App{
    const engine = new Engine(options)

    return engine.getApp()
}

export {
    Engine,
    version,
    SchemaRenderer
}