import { createEngine } from '../src'
import {UI, UIType} from "vue-seed-ui"
import ElementPlus from 'element-plus';
import 'element-plus/lib/theme-chalk/index.css'
import 'vue-seed-ui/lib/style.css'
import './style.css'

const app = createEngine({
    ui: UI as UIType,
    appConfig: {
        appKey: 'test-test',
        title: '测试系统123',
        kcpApi: '//local.guazi-cloud.com:9090',
        pageApiPath: '/kcp/page_json/',
        menuApiPath: '/kcp/page/menus',
        loginUrl: '//sso-web-test.guazi-cloud.com'
    }
})

app.use(ElementPlus)

app.mount('#app')
