// UI组件类型列表
export const enum UITypes {
    Button = 'Button', //  按钮
    Message = 'Message', // 消息提示
    Input = 'Input', // 输入框
    Frame = 'Frame', // 框架
    Stack = 'Stack', // 堆叠
    Table = 'Table', // 表格
    Popover = 'Popover', //
    Loading = 'Loading', // 加载
    Form = 'Form',
    Checkbox = 'Checkbox',
    Radio = 'Radio',
    Switch = 'Switch',
    Tabs = 'Tabs',
    Collapse = 'Collapse',
    Steps = 'Steps',
    Timeline = 'Timeline',
}

// 内置解析器类型列表
export const enum ParserTypes {
    Common = 'Common',
    Frame = 'Frame',
    Page = 'Page',
    Form = 'Form',
    Button = 'Button',
    Table = 'Table'
}

// 内置操作类型列表
export const enum ActionTypes {
    Request = 'request',
    Filter = 'filter'
}

// 插件类型枚举
export enum PluginTypes {
    Parser = 'parser',
    Plugin = 'plugin',
    Action = 'action'
}